Bug 200110 - Web Inspector: Network: don't allow the domain to be disabled
Summary: Web Inspector: Network: don't allow the domain to be disabled
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords:
Depends on: 200109
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-24 20:43 PDT by Devin Rousso
Modified: 2019-08-17 00:12 PDT (History)
12 users (show)

See Also:


Attachments
Patch (27.73 KB, patch)
2019-07-24 21:09 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (27.92 KB, patch)
2019-07-24 21:18 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (27.47 KB, patch)
2019-07-24 21:26 PDT, Devin Rousso
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (737.75 KB, application/zip)
2019-07-24 22:01 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-highsierra (2.37 MB, application/zip)
2019-07-24 22:07 PDT, Build Bot
no flags Details
Patch (13.10 KB, patch)
2019-07-24 22:13 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews105 for mac-highsierra-wk2 (2.43 MB, application/zip)
2019-07-24 22:53 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews101 for mac-highsierra (2.26 MB, application/zip)
2019-07-24 23:09 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-highsierra (1.44 MB, application/zip)
2019-07-24 23:32 PDT, Build Bot
no flags Details
Patch (13.03 KB, patch)
2019-08-08 19:03 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-highsierra (3.28 MB, application/zip)
2019-08-08 20:09 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-highsierra (3.49 MB, application/zip)
2019-08-08 20:55 PDT, Build Bot
no flags Details
Patch (15.96 KB, patch)
2019-08-12 11:36 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (15.88 KB, patch)
2019-08-12 11:55 PDT, Devin Rousso
drousso: review?
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-highsierra (3.22 MB, application/zip)
2019-08-12 12:58 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews113 for mac-highsierra (3.26 MB, application/zip)
2019-08-12 13:33 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2019-07-24 20:43:31 PDT
.
Comment 1 Devin Rousso 2019-07-24 21:09:07 PDT
Created attachment 374862 [details]
Patch
Comment 2 Build Bot 2019-07-24 21:11:19 PDT Comment hidden (obsolete)
Comment 3 Devin Rousso 2019-07-24 21:18:29 PDT
Created attachment 374866 [details]
Patch
Comment 4 Devin Rousso 2019-07-24 21:26:02 PDT
Created attachment 374868 [details]
Patch
Comment 5 Build Bot 2019-07-24 22:01:38 PDT Comment hidden (obsolete)
Comment 6 Build Bot 2019-07-24 22:01:39 PDT Comment hidden (obsolete)
Comment 7 Build Bot 2019-07-24 22:07:13 PDT Comment hidden (obsolete)
Comment 8 Build Bot 2019-07-24 22:07:15 PDT Comment hidden (obsolete)
Comment 9 Devin Rousso 2019-07-24 22:13:06 PDT
Created attachment 374874 [details]
Patch
Comment 10 Build Bot 2019-07-24 22:53:05 PDT Comment hidden (obsolete)
Comment 11 Build Bot 2019-07-24 22:53:07 PDT Comment hidden (obsolete)
Comment 12 Build Bot 2019-07-24 23:09:24 PDT Comment hidden (obsolete)
Comment 13 Build Bot 2019-07-24 23:09:26 PDT Comment hidden (obsolete)
Comment 14 Build Bot 2019-07-24 23:32:08 PDT Comment hidden (obsolete)
Comment 15 Build Bot 2019-07-24 23:32:10 PDT Comment hidden (obsolete)
Comment 16 Robert Sandberg 2019-08-04 21:53:26 PDT Comment hidden (spam)
Comment 17 Brian Burg 2019-08-06 11:21:34 PDT
Comment on attachment 374874 [details]
Patch

LGTM, but can't r+ until the tests are fixed.
Comment 18 Devin Rousso 2019-08-07 10:21:18 PDT
(In reply to Brian Burg from comment #17)
> LGTM, but can't r+ until the tests are fixed.
The tests should be fixed once the blocking bug 200109 is fixed.
Comment 19 Devin Rousso 2019-08-08 19:03:54 PDT
Created attachment 375878 [details]
Patch
Comment 20 Build Bot 2019-08-08 20:09:07 PDT Comment hidden (obsolete)
Comment 21 Build Bot 2019-08-08 20:09:09 PDT Comment hidden (obsolete)
Comment 22 Build Bot 2019-08-08 20:55:38 PDT Comment hidden (obsolete)
Comment 23 Build Bot 2019-08-08 20:55:40 PDT Comment hidden (obsolete)
Comment 24 Devin Rousso 2019-08-12 11:36:50 PDT
Created attachment 376081 [details]
Patch
Comment 25 Devin Rousso 2019-08-12 11:55:11 PDT
Created attachment 376083 [details]
Patch

Rebase
Comment 26 Build Bot 2019-08-12 12:58:55 PDT Comment hidden (obsolete)
Comment 27 Build Bot 2019-08-12 12:58:57 PDT Comment hidden (obsolete)
Comment 28 Build Bot 2019-08-12 13:33:03 PDT Comment hidden (obsolete)
Comment 29 Build Bot 2019-08-12 13:33:05 PDT Comment hidden (obsolete)
Comment 30 Build Bot 2019-08-12 14:29:49 PDT Comment hidden (obsolete)
Comment 31 Devin Rousso 2019-08-17 00:12:59 PDT
See <https://webkit.org/b/200854> for explanation.